Resource Class Reference

`#include <resource.h>`

## Public Member Functions

| Resource (int priority, const std::string &msg, Presence::PresenceType presence)
virtual | ~Resource ()
int | priority () const
const std::string & | message () const
Presence::PresenceType | presence () const
const StanzaExtensionList & | extensions () const

## Detailed Description

Holds resource attributes.

This holds the information of a single resource of a contact that is online.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

Definition at line 35 of file resource.h.

## Constructor & Destructor Documentation

## Resource()

Resource | ( | int | priority,
|  | const std::string & | msg,
|  | Presence::PresenceType | presence )

inline

Constructor.

Parameters

  priority | The resource's priority.
  msg | The resource's status message.
  presence | The resource's presence status.

Definition at line 47 of file resource.h.

## ~Resource()

virtual ~Resource | ( |  | ) |

inline virtual

Virtual destrcutor.

Definition at line 53 of file resource.h.

## Member Function Documentation

## extensions()

const StanzaExtensionList & extensions | ( |  | ) | const

inline

Returns the StanzaExtensions that were sent with the last presence stanza by the resource.

Returns
  A list of stanza extensions.

Definition at line 81 of file resource.h.

## message()

const std::string & message | ( |  | ) | const

inline

Lets you fetch the resource's status message.

Returns
  The resource's status message.

Definition at line 68 of file resource.h.

## presence()

Presence::PresenceType presence | ( |  | ) | const

inline

Lets you fetch the resource's last presence.

Returns
  The resource's presence status.

Definition at line 74 of file resource.h.

## priority()

int priority | ( |  | ) | const

inline

Lets you fetch the resource's priority.

Returns
  The resource's priority.

Definition at line 62 of file resource.h.

The documentation for this class was generated from the following file:

- resource.h